********************************************************************************
*** Master File ***
** This file runs all the do files and produces the tables and charts for the paper
** Global inequality and economic growth: the three decades before Covid-19 and three decades after
** Authors: Diana C. Garcia Rojas, Nishant Yonzan, Christoph Lakner
********************************************************************************

clear all
set varabbrev on

// Change path as needed:
global path "C:\WBG\Rep-checks\RR_WLD_2025_296\Replication for GIEC_PRWP\" 

global dopath 	 "${path}01-code\"
global inputdata "${path}02-rawdata\"
global impath 	 "${path}03-intermediatedata\"
global output	 "${path}04-output\"
global figntab	 "${path}05-figntab\"

sysdir set PLUS "${dopath}\ado"



// packages installed: pip, egenmore

pip cleanup 
global pipoptions "version(20240627_2017_01_02_PROD)"

********************************************************************************
*** Data ***

** BE AWARE: 
** 1. Running the do files for Appendix increases the computational time from approximately 1 day to 3 days.
** 2. You will need the povsim.ado files in the path folder for 01b files to run smoothly. Also, if the path folder 
** is link to a cloud server, we recommend running these while the cloud server is paused or closed.   

 //do "${dopath}01x-GDPGrowthRates_App.do"											// Only run for Appendix's results
do "${dopath}01a-DistributionNeutralProjection_2050.do"
 //do "${dopath}01a-DistributionNeutralProjection_2050_w1990.do" 					// Only run for Appendix's results
 //do "${dopath}01a-DistributionNeutralProjection_2050_w1990FY24.do" 				// Only run for Appendix's results
 //do "${dopath}01a-DistributionNeutralProjection_2050_w1990FY95.do" 				// Only run for Appendix's results
do "${dopath}01b-SSP_Projection_2050_1.do"										
do "${dopath}01b-SSP_Projection_2050_2.do"
 //do "${dopath}01b-SSP_Projection_2050_3.do" 										// Only run for Appendix's results
 //do "${dopath}01b-SSP_Projection_2050_4.do" 										// Only run for Appendix's results
do "${dopath}01b-SSP_Projection_2050_merge.do"
 //do "${dopath}01b-SSP_Projection_2050_merge_app.do" 								// Only run for Appendix's results
do "${dopath}01c-ProjectedGlobalInequality_Hist.do" 							// For Appendix: Open this do-file and uncomment lines 38-90 and 106-108
do "${dopath}01d-GlobalInequality_MLD.do"

********************************************************************************
*** Tables ***

do "${dopath}Table_1_3A_4A.do"
 //do "${dopath}Table_1A.do"
 //do "${dopath}Table_2A.do"

********************************************************************************
*** Figures ***

do "${dopath}Fig1.do"
do "${dopath}Fig2.do"
do "${dopath}Fig3.do"
do "${dopath}Fig4.do"
do "${dopath}Fig5.do"
do "${dopath}Fig6.do"

********************************************************************************
exit

