********************************************************************************
/*
Calculate inequality for the world
*/
********************************************************************************
// calculate inequality (MLD)
use "${inputdata}PIP\GlobalDist1000bins_1990_2024_3pr24.dta", clear

gen mld = . 
gen mld_within = .
gen mld_between = .
encode(code), gen(code_num)
sum year
forval yr = `r(min)'/`r(max)' {
	qui ineqdeco welf [aw=pop] if year==`yr', by(code_num)
	replace mld = `r(ge0)' if year == `yr'
	replace mld_within  = `r(within_ge0)' if year==`yr'
	replace mld_between  = `r(between_ge0)' if year==`yr'
} 
collapse welf mld mld_within mld_between (rawsum) pop [aw=pop], by(year)

save "${output}GlobalInequalityData_hist_mld.dta", replace

** Using MYL paper

use "${inputdata}Other\GlobalDist_1000bins_MYLjan25_limitedvars.dta", clear

drop welf2020_precovid
reshape long welf pop, i(code quantile) j(year)
sort code year quantile

gen mld = . 
gen mld_within = .
gen mld_between = .
encode(code), gen(code_num)
sum year
forval yr = `r(min)'/`r(max)' {
	qui ineqdeco welf [aw=pop] if year==`yr', by(code_num)
	replace mld = `r(ge0)' if year == `yr'
	replace mld_within  = `r(within_ge0)' if year==`yr'
	replace mld_between  = `r(between_ge0)' if year==`yr'
} 
collapse welf mld mld_within mld_between (rawsum) pop [aw=pop], by(year)

save "${output}GlobalInequalityData_MYL_mld.dta", replace

********************************************************************************
exit