** figure 1a**

use "${output}GlobalInequalityData_All.dta", clear

drop if scenario!="historical"
keep if inrange(year,1990,2019)
keep year gini 

tw 	line gini year, lc(black) lw(thick) lp(solid) ///
	xtitle("") ytitle("Global Gini index") ylabel(60(2)70) ///
	xlabel(1990 "1990" 1995 "1995" 2000 "2000" 2005 "2005" 2010 "2010" 2015 "2015" 2019 "2019") 
	
graph export "${figntab}Fig1A.png", replace as(png)
	
** figure 1b**

use "${inputdata}PIP\GlobalDist1000bins_1990_2024_3pr24.dta", clear

keep if inlist(year,1990,2000,2010,2019)
egen perc = xtile(welf), weight(pop) by(year) n(100)
collapse welf [w=pop], by(year perc)

reshape wide welf, i(perc) j(year)

gen gic90_00 = ((welf2000/welf1990)^(1/(2000-1990)) - 1) * 100
gen gic00_10 = ((welf2010/welf2000)^(1/(2010-2000)) - 1) * 100
gen gic10_19 = ((welf2019/welf2010)^(1/(2019-2010)) - 1) * 100

tw 	line gic90_00 perc, lw(thick) lc(gs0) lp(solid) || ///
	line gic00_10 perc, lw(thick) lc(gs8) lp(shortdash) || ///
	line gic10_19 perc, lw(thick) lc(gs14) lp(longdash)  ///
	yline(0, lp(shortdash) lc(gray)) ///
	xtitle("Global income percentile") ytitle("Annual growth (%)") ///
	legend(ring(0) pos(7) row(3) order(1 "1990-2000" 2 "2000-2010" 3 "2010-2019")) 
	
graph export "${figntab}Fig1B.png", replace as(png)

********************************************************************************
exit