** figure 3 **	 

use "${output}GlobalInequalityData_hist_mld.dta", clear 

keep year mld_within mld_between
ren mld_between MLDbetweencountries
ren mld_within MLDwithincountries
keep if inrange(year,1990,2020)	 

tempfile mld 
save 	`mld'

use "${output}GlobalInequalityData_MYL_mld.dta", clear


keep if inrange(year,2019, 2020)
ren mld_between MLDbetweencountries
ren mld_within MLDwithincountries
gen changewithin  = (MLDwithin - MLDwithin[_n-1]) * 100
gen changebetween = (MLDbetween - MLDbetween[_n-1]) * 100

replace year = 2021 if year == 2020
keep if year == 2021

append using `mld'

sort year
replace changewithin  = (MLDwithin - MLDwithin[_n-1]) * 100 if year < 2021
replace changebetween = (MLDbetween - MLDbetween[_n-1]) * 100 if year < 2021

	
tw	bar changebetween year, fc(gs8) lc(gs8) barw(0.8) || ///
	bar changewithin year, fc(gs0) lc(gs0) barw(0.8) ///
	yline(0, lp(shortdash) lc(gs8)) xline(1997 1997.5 1998, lp(solid) lw(vvvthick) lc(gs14)) ///
	xline(2020 2021, lp(solid) lw(vvvthick) lc(gs14)) ///
	text(-2.2 1997.5 "Asian financial crisis", orient(vertical) size(small) placement(n)) ///
	text(-2.2 2020 "Covid-19", orient(vertical) size(small) placement(n)) ///
	text(-2.2 2021 "Pandemic", orient(vertical) size(small) placement(n)) ///
	xlabel(1990 "1990" 1995 "1995" 1997 "1997" 1998 "1998" 2000 "2000" 2005 "2005" ///
		2010 "2010" 2015 "2015" 2019 "2019" 2020 "2020" 2021 "2020*", angle(45)) ///
	xtitle("") ytitle("Change in mean log deviation (x100)") ///
	legend(ring(1) pos(6) row(1) order(2 "Within-country" 1 "Between-country"))


graph export "${figntab}Fig3.png", replace as(png)


********************************************************************************
exit