** figure 5 **

use "${output}GlobalInequalityData_All.dta", clear

replace scenario = "dist"  if scenario == "dist-neutral"
replace scenario = "dist90"  if scenario == "dist-neutral_w1990"
replace scenario = "dist90FY24"  if scenario == "dist-neutral_w1990FY24"
replace scenario = "dist90FY95"  if scenario == "dist-neutral_w1990FY95"

drop welf pop

reshape wide gini, i(year) j(scenario) s

keep year ginihistorical ginidist giniSSP1 giniSSP4

tw line ginihistorical year, lc(black) lw(thick) lp(solid) || ///
	line ginidist year, lc(gs4) lw(thick) lp(dash) || ///
	line giniSSP1 year, lc(gs8) lw(thick) lp(longdash) || ///
	line giniSSP4 year, lc(gs12) lw(thick) lp(shortdash) ///
	legend(ring(0) pos(7) row(4) order(1 "Historical Gini" 2 "Business-as-usual" 3 "Optimistic" 4 "Pessimistic")) ///
	xtitle("") ytitle("Global gini index") xlabel(1990(10)2050) ylabel(55(2)70)
	
graph export "${figntab}Fig5.png", replace as(png)


********************************************************************************
exit